package com.ssj.bean.weixin.story.bean;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "tb_story")
public class Story extends BaseEntity{
	
	/**
	 * 运营-打卡列表
	 */
	private static final long serialVersionUID = -7799355328206160546L;
	private  String title; //标题
	private  String titleImg;//标题图片
	private  String stage1;//段落1
	private  String stage2;//段落2
	private  String stage3;//段落3
	private  String subtitle1;//小标题1
	private  String detail1;//小内容1
	private  String subtitle2;//小标题2
	private  String detail2;//小内容2
	private  String  qrCode;//二维码
	private  String  img;//打卡封面
	
	private Date startTime;//开始时间，
	private Date endTime;//结束时间，
	private Date createTime;//创建时间
	private Integer daysNum;//打卡天数。
	private Integer type;//是否置顶。  2置顶
	
	
	
	
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getTitleImg() {
		return titleImg;
	}
	public void setTitleImg(String titleImg) {
		this.titleImg = titleImg;
	}
	public String getStage1() {
		return stage1;
	}
	public void setStage1(String stage1) {
		this.stage1 = stage1;
	}
	public String getStage2() {
		return stage2;
	}
	public void setStage2(String stage2) {
		this.stage2 = stage2;
	}
	public String getStage3() {
		return stage3;
	}
	public void setStage3(String stage3) {
		this.stage3 = stage3;
	}
	public String getSubtitle1() {
		return subtitle1;
	}
	public void setSubtitle1(String subtitle1) {
		this.subtitle1 = subtitle1;
	}
	public String getDetail1() {
		return detail1;
	}
	public void setDetail1(String detail1) {
		this.detail1 = detail1;
	}
	public String getSubtitle2() {
		return subtitle2;
	}
	public void setSubtitle2(String subtitle2) {
		this.subtitle2 = subtitle2;
	}
	public String getDetail2() {
		return detail2;
	}
	public void setDetail2(String detail2) {
		this.detail2 = detail2;
	}
	public String getQrCode() {
		return qrCode;
	}
	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
	public String getImg() {
		return img;
	}
	public void setImg(String img) {
		this.img = img;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd") 
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd") 
	public Date getEndTime() {
		return endTime;
	}
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	public Integer getDaysNum() {
		return daysNum;
	}
	public void setDaysNum(Integer daysNum) {
		this.daysNum = daysNum;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	

}
